package com.sunxung.factoring.component.util;

import java.math.BigDecimal;
import java.text.DecimalFormat;

/**
 * @description:数据格式化工具类
 * @author:吴端丽
 * @e-mail:1912942707@qq.com
 * @date:2018年4月27日 上午11:47:45
 */
public class DecimalFormatUtil {

    public static final String pattern = ",##,##";
    public static final String patternDecimal = ",##,##0.00";

    public static String format(String pattern, BigDecimal data) {
        DecimalFormat df = new DecimalFormat(pattern);
        return df.format(data);
    }

   /* public static void main(String[] args) {
        BigDecimal bd = new BigDecimal(123456789.3);
        // 千位分隔
        format(pattern, bd);
        format(patternDecimal, bd);
    }*/
}
